Jaime Jasper

Members
  • Content Count

    1
  • Joined

  • Last visited

Community Reputation

0 Neutral

About Jaime Jasper

  • Rank
    Newbie
  1. Every time I try to open Astroneer I get the error message "DX11 feature level 10.0 is required to run the engine". I tried to download a platform update but it said I already had the platform update installed. I tried to play on my laptop but my graphics card is so terrible and the frame rate is so low its unplayable. Please help me I really want to get to enjoy this game